#
# spec file for package gdl (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gdl
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  licenses
BuildRequires:  translation-update-upstream
License:        LGPLv2.1+
Group:          System/Libraries
Version:        2.28.2
Release:        0.1.2
Summary:        Gnome Devtool Libraries contains components and libraries
Source:         http://ftp.gnome.org/pub/GNOME/sources/gdl/2.24/%name-%version.tar.bz2
Source1:        %{name}-rpmlintrc
Url:            http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%package -n libgdl-1-3
License:        LGPLv2.1+
Summary:        Gnome Devtool Libraries contains components and libraries
Group:          System/Libraries
Requires:       %{name}-lang = %{version}
Obsoletes:      gdl <= %{version}
Provides:       gdl = %{version}
Obsoletes:      libgdl-1-0 < 2.27.2

%description -n libgdl-1-3
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%package devel
License:        LGPLv2.1+
Summary:        Gnome Devtool Libraries contains components and libraries
Group:          System/Libraries
Requires:       libgdl-1-3 = %{version}
Requires:       gtk2-devel libxml2-devel
Obsoletes:      gdl-doc <= 2.24.0
Provides:       gdl-doc = 2.24.0

%description devel
Gnome Devtool Libraries contains components and libraries that are
intended to be shared between GNOME development tools, including
gnome-debug, gnome-build, and anjuta2.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure
make %{?jobs:-j%jobs}

%install 
%makeinstall
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
%find_lang %{name}-1
%fdupes -s $RPM_BUILD_ROOT

%post -n libgdl-1-3 -p /sbin/ldconfig

%postun -n libgdl-1-3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libgdl-1-3
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gdl
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libgdl*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/*

%files lang -f %{name}-1.lang

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Fix GDL with client-side windows (Gtk+ 2.18)
- changes from 2.28.1:
  + Translation updates.
* Thu Oct  1 2009 dimstar@opensuse.org
- Rename libgdl-1-2 to libgdl-1-3 as the last updated bumped the
  soNUM.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + GDL is now LGPL 2.1+
  + Add new GdlSwitcherStyle name GDL_SWITCHER_STYLE_NONE
    (bgo#589317)
* Sun Jun 14 2009 vuntz@novell.com
- Update to version 2.27.3:
  + Removed libglade dependency
  + bgo#584418 - gdl_dock_paned_dock does not show the requestor
  + bgo#584303 - Potfiles.in broken
  + bgo#580860 - Remove deprecated libgnome dependency
  + bgo#582511 - Use GtkBuilder instead of libglade
  + bgo#583963 - does not build with gdl 2.27.2
- Drop gdl-missing-include.patch: fixed upstream.
- Remove libglade2-devel BuildRequires and from Requires of devel
  package.
- Add libxml2-devel BuildRequires.
* Thu May 28 2009 vuntz@novell.com
- Add gdl-missing-include.patch to install a header in includedir.
  Else, everything depending on gdl fails to build.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Fix out of source tree builds
  + Hide private API
  + Fix so name generation
- Rename package to libgdl-1-2, and Obsoletes libgdl-1-0.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Bugs fixed:
  - bgo#579057 – Grip layout bug where negative rectangles are
    possible
  - bgo#578967 – gdl_dock_item_grip_remove must be implemented
  - bgo#471317 – invisible buttons in HCI theme
  - bgo#560820 – Remove GdlComboButton
  - bgo#577938 – gdl_dock_placeholder_new's name param should be
    const gchar* not gchar*
  - bgo#577107 – Layout bug in the grip widget headers
  - bgo#577001 – Patch: Added optional grip handle hatching
  - bgo#577469 – Remove deprecated GTK+ symbols
  + API changes:
  - GdlComboButton API has been removed. Use GtkMenuToolButton
    instead
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Fix distcheck
  + Fix valgrind warning
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + bgo#566801 – Docking+undocking all makes the buttons disappear
    and crashes if you use "Reset dock layout"
  + bgo#573522 – More patches for GDL
  + Small documentation update
- Don't use AutoReqProv: it's default now.
- Remove -fno-strict-aliasing from CFLAGS.
- Use parallel make.
* Tue Feb 17 2009 vuntz@novell.com
- Fix Provides/Obsoletes to use %%{version}. The lang package
  requires gdl = %%{version}, so we have to do this.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Added some gtk-doc documentation
  + Cleaned-up gtk+ includes
- Add BuildRequires: gtk2-devel
- Remove BuildRequires: gconf2-devel, gtk-doc, libgnomeui-devel,
  perl-libxml-perl, pkg-config
- Remove Requires from devel package: gnome-vfs2-devel,
  libgnomeui-devel
- Use %%makeinstall
- Merge doc package in devel package since it's gtk-doc (with
  Obsoletes/Provides).
- Move glade files to libgdl-1-0 package.
- Drop gdl package since it's now empty (Obsoletes/Provides by
  libgdl-1-0).
- Have libgdl-1-0 require the lang package.
- Have devel package require libgdl-1-0.
- Clean file list.
* Thu Oct 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Fixed a dataroot problem
  + Misc. code cleanups
  + Updated translations
- Split out a shared library subpackage.
* Tue Aug 26 2008 mboman@novell.com
- Updated to version 2.23.90:
  + Version increased to match gnome releases.
  + Use smaller buttons to waste less space
  + Port to the GtkTooltip API (fixes bgo#457562)
  + Fixed bug bgo#529457 - Superfluous condition
  + Fixed bug bgo#539288 - Use gtype macros instead of the deprecated
    gtk ones.
  + Translation updates.
* Mon Mar 31 2008 vuntz@suse.de
- Updated to version 0.7.11:
  + Translation updates.
- Change from version 0.7.10:
  + Avoid glib critical warnings
  + Translation updates.
- Change from version 0.7.9:
  + Added gtk-doc documentation (12%% coverage)
  + Fixed documentation of property (bgo#514116)
  + Translation updates.
- Change from version 0.7.8:
  + Disable deprecated flags completely until bgo#457562 is fixed
  + Do not ref/unref icon theme.
  + Use smaller icons to not waste too much screen space
  + Fixed bgo#468645 and bgo#452331 by using gnome-autogen.sh
  + Fix bgo#462537 – GdlDockItemGrip notification callback
  + Backported several small improvements from Monodevelop
  + Fixes bug bgo#509950 - L10N: typos in some messages (fow -> for)
  + Silenced some compiler warnings.
  + Translation updates.
* Wed Oct  3 2007 maw@suse.de
- Package cleanups:
  + Remove unnecessary explicit requirements
  + Split off a -devel subpackage
  + Fix build on biarch platforms
  + Trim and alphabetize build requirements
  + Add a -lang subpackage.
* Tue Sep 25 2007 mauro@suse.de
- Version 0.7.7 added to openSUSE
